Route source events to a conversation
curl --request POST \
--url https://api.ando.so/v1/webhook-sources/{sourceId}/routes \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"conversation_id": "66666666-6666-4666-8666-666666666666"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({conversation_id: '66666666-6666-4666-8666-666666666666'})
};
fetch('https://api.ando.so/v1/webhook-sources/{sourceId}/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-sources/{sourceId}/routes"
payload = { "conversation_id": "66666666-6666-4666-8666-666666666666" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"conversation_id": "66666666-6666-4666-8666-666666666666",
"route_id": "77777777-7777-4777-8777-777777777777"
}
}Route source events to a conversation
Routes a source’s events into a conversation the authenticated member belongs to. Requires an API key bound to a live workspace admin or owner with webhooks:write. Omit events to route everything; pass provider preset event ids to filter. The result can be replayed with the same Idempotency-Key for 24 hours while the route remains unchanged.
POST
https://api.ando.so/v1
/
webhook-sources
/
{sourceId}
/
routes
Route source events to a conversation
curl --request POST \
--url https://api.ando.so/v1/webhook-sources/{sourceId}/routes \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"conversation_id": "66666666-6666-4666-8666-666666666666"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({conversation_id: '66666666-6666-4666-8666-666666666666'})
};
fetch('https://api.ando.so/v1/webhook-sources/{sourceId}/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-sources/{sourceId}/routes"
payload = { "conversation_id": "66666666-6666-4666-8666-666666666666" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"conversation_id": "66666666-6666-4666-8666-666666666666",
"route_id": "77777777-7777-4777-8777-777777777777"
}
}Authorizations
AndoApiKeyBearerApiKey
Headers
Body
application/json